Subject: Re: [PATCH] NET : change layout of ehash table

From: Andi Kleen <[email-masked]>
Date: Fri, 9 Feb 2007 09:57:24 +0100

On Friday 09 February 2007 09:40, David Miller wrote:
> From: Andi Kleen <[email-masked]>
> Date: 09 Feb 2007 10:18:03 +0100
> 
> > David Miller <[email-masked]> writes:
> > > 
> > > I've applied this, but I _REALLY_ don't like the new multiply
> > > instructions that are used now in the hash indexing paths when
> > > CONFIG_SMP is set.
> > > 
> > > I think that's a higher cost than the memory waste.
> > 
> > You're serious? multiply on a modern CPU is _much_ cheaper than a cache miss
> > e.g. a K8 can do a arbitary 64bit multiplication in 3-7 cycles.
> > Any cache miss will be in the three to four digits at least.
> 
> I'm not thinking of modern CPUs, I'm think of the little
> guys :-)

Even for them it's true, although the ratios are smaller (unless you go back to 
m68000 or VAX days) 

-Andi